Summary: Image Atlas Editor
Name: atlush
Version: 0.1.1
Release: %autorelease
License: GPL-3.0-or-later
URL: https://codeberg.org/wickedsmoke/atlush
Source: https://codeberg.org/wickedsmoke/atlush/archive/v%{version}.tar.gz
BuildRequires: gcc-c++ qt6-qtbase-devel

%global debug_package %{nil}

%description
Atlush is an image atlas editor which tracks rectangular regions on an
image or set of images.

%prep
%setup -q -n %{name}

%build
qmake6 atlush.pro
%make_build

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_datadir}/applications
install -m 755 atlush %{buildroot}%{_bindir}
install -D -m 644 dist/logo-48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/atlush.png
install -D -m 644 icons/logo.png %{buildroot}%{_datadir}/icons/hicolor/96x96/apps/atlush.png
install -D -m 644 dist/atlush.desktop %{buildroot}%{_datadir}/applications

%clean
rm -rf $RPM_BUILD_ROOT

%files
%license LICENSE
%defattr(-,root,root)
%{_bindir}/atlush
%{_datadir}/icons/hicolor/48x48/apps/atlush.png
%{_datadir}/icons/hicolor/96x96/apps/atlush.png
%{_datadir}/applications/atlush.desktop

%changelog
* Sat Jul 13 2024 Karl Robillard <wickedsmoke@users.sf.net> 0.1.1-1
  - Initial package release.
